/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package database;

import static database.Librarian.jButton9;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author FuadRafid
 */
public class Issue_record extends javax.swing.JFrame {

    /**
     * Creates new form Issue_record
     */
    public Issue_record() {
        initComponents();
        loadData();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jButton1 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jTable1.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {},
                {},
                {},
                {}
            },
            new String [] {

            }
        ));
        jTable1.setAutoResizeMode(javax.swing.JTable.AUTO_RESIZE_ALL_COLUMNS);
        jScrollPane1.setViewportView(jTable1);

        jButton1.setText("RETURN BOOK");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(20, 20, 20)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 132, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 761, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(28, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(43, Short.MAX_VALUE)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 394, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(34, 34, 34)
                .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(25, 25, 25))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        int x=jTable1.getSelectedRow();
        System.out.println(x);
        try{
        String book_id=(String)jTable1.getModel().getValueAt(x, 0);
        String serial_no=(String)jTable1.getModel().getValueAt(x, 1);
        DataBase.ExecuteQuery("Delete from present_issue where isbn_no='"+book_id+
                "' and serial_no='"+serial_no+"'", Login.con);
        loadData();
        jButton9.doClick();
        }
        catch(ArrayIndexOutOfBoundsException e)
        {
            JOptionPane.showMessageDialog(this, "Select issue first");
        } 
    }//GEN-LAST:event_jButton1ActionPerformed

    /**
     * @param args the command line arguments
     */
  

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTable1;
    // End of variables declaration//GEN-END:variables

    private void loadData() {
        DataBase.ExecuteQuery("Select isbn_no,serial_no,books_name\"Book\",issue_date\"Date of Issue\",expiry_date\"Expiry Date\""
                + ",return_date\"Return Date\" from fuadrafid.books natural "
                + "natural join fuadrafid.has_issue natural join fuadrafid.issue natural join fuadrafid.issued_to where "
                + "member_id='"+Librarian.mem_id_rec+"'", Login.con);
     Show_Users_In_JTable();
     jTable1.setDefaultEditor(Object.class, null);
    }

    private void Show_Users_In_JTable() {
        DefaultTableModel model = (DefaultTableModel)jTable1.getModel();
      model.setRowCount(0);
      model.setColumnCount(0);
      for (int i = 0; i < DataBase.TableHeader.size(); i++) 
       {
           model.addColumn(DataBase.TableHeader.elementAt(i));
       }
       for(int i = 0; i < DataBase.data.size(); i++)
       {     
           model.addRow(DataBase.data.elementAt(i));
           
       }
    
     TableColumnAdjuster ad=new TableColumnAdjuster(jTable1);
     ad.adjustColumns();     
    }
   
}
